## magnum-tempest-plugin 1.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=2.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0
oslo.config>=3.22.0 # Apache-2.0
six>=1.9.0
oslo.log>=3.30.0 # Apache-2.0

=== debian/changelog ===
magnum-tempest-plugin (1.0.0-2) unstable; urgency=medium

  * Uploading source-only.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 11:08:21 +0200

magnum-tempest-plugin (1.0.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #961519).

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 May 2020 17:30:30 +0200

=== debian/control ===
Source: magnum-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/magnum-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/magnum-tempest-plugin.git
Homepage: https://opendev.org/openstack/magnum-tempest-plugin

Package: magnum-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-oslo.config,
 python3-oslo.log,
 python3-six,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Magnum plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Magnum plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/magnum-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## magnum-tempest-plugin 1.1.0

=== debian/changelog ===
magnum-tempest-plugin (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:37:27 +0200

magnum-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2020 09:53:32 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
  python3-pbr,
  python3-oslo.config,
  python3-oslo.log,
- python3-six,
  tempest,
  ${misc:Depends},
  ${python3:Depends},

## magnum-tempest-plugin 1.5.0

=== debian/changelog ===
magnum-tempest-plugin (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:38:20 +0200

magnum-tempest-plugin (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 10:55:55 +0200

magnum-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 17:43:58 +0200

magnum-tempest-plugin (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:52:33 +0200

magnum-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Mar 2021 13:37:34 +0200

magnum-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed openstack-pkg-tools build-depends version.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 12:26:09 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/magnum-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/magnum-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## magnum-tempest-plugin 1.6.0

=== debian/changelog ===
magnum-tempest-plugin (1.6.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:54:01 +0200

magnum-tempest-plugin (1.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 22:32:37 +0100

## magnum-tempest-plugin 1.7.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0

=== debian/changelog ===
magnum-tempest-plugin (1.7.0-1~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-zed.infomaniak.ch>  Sun, 25 Sep 2022 14:35:57 +0000

magnum-tempest-plugin (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:34:18 +0200

## magnum-tempest-plugin 2.0.0

=== debian/changelog ===
magnum-tempest-plugin (2.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047070).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 13:59:40 +0200

magnum-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:45:30 +0200

magnum-tempest-plugin (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 13 Mar 2023 13:42:41 +0100

magnum-tempest-plugin (1.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:35:52 +0100

## magnum-tempest-plugin 2.1.0

=== debian/changelog ===
magnum-tempest-plugin (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:44:40 +0200

magnum-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Sep 2023 17:03:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 	dh $@ --buildsystem=python_distutils --with python3
 
 override_dh_auto_clean:
-	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## magnum-tempest-plugin 2.3.0

=== debian/changelog ===
magnum-tempest-plugin (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:12:20 +0200

magnum-tempest-plugin (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 11:32:49 +0100

magnum-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-kubernetes as (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 10:52:56 +0100

## magnum-tempest-plugin 2.5.0

=== requirements.txt ===
--- 
+++ 
@@ -6,3 +6,4 @@
 tempest>=17.1.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
+kubernetes>=26.0.0 # Apache-2.0

=== debian/changelog ===
magnum-tempest-plugin (2.5.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Thu, 19 Dec 2024 15:28:41 +0000

magnum-tempest-plugin (2.5.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090429).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:27:32 +0100

magnum-tempest-plugin (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 09:43:14 +0200

magnum-tempest-plugin (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:23:47 +0200

magnum-tempest-plugin (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 17:23:00 +0200

## magnum-tempest-plugin 2.7.0

=== debian/changelog ===
magnum-tempest-plugin (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:40:07 +0100

magnum-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:18:10 +0100

magnum-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 15:00:52 +0100

## magnum-tempest-plugin 2.8.0

=== debian/changelog ===
magnum-tempest-plugin (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 08:33:49 +0200

## magnum-tempest-plugin 2.9.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
tempest>=17.1.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
kubernetes>=26.0.0 # Apache-2.0

=== doc/requirements.txt ===

sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
magnum-tempest-plugin (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:34:25 +0200

magnum-tempest-plugin (2.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 10:33:08 +0200

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
  python3-all,
  python3-pbr,
  python3-setuptools,
+ python3-kubernetes,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/magnum-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/magnum-tempest-plugin.git
@@ -19,6 +20,7 @@
 Package: magnum-tempest-plugin
 Architecture: all
 Depends:
+ python3-kubernetes,
  python3-pbr,
  python3-oslo.config,
  python3-oslo.log,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	rm -rf build .stestr *.egg-info

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/magnum-tempest-plugin refs/tags/(\d[brc\d\.]+)
